Libical API Documentation 3.0

Data Fields
icalfileset_impl Struct Reference

## Data Fields
int | changed
icalcomponent * | cluster
int | fd
icalgauge * | gauge
icalfileset_options | options
char * | path
icalset | super

## Field Documentation

## ◆ changed

int icalfileset_impl::changed

boolean flag, 1 if data has changed

## ◆ cluster

icalcomponent* icalfileset_impl::cluster

cluster containing data

## ◆ fd

int icalfileset_impl::fd

file descriptor

## ◆ gauge

icalgauge* icalfileset_impl::gauge

gauge for filtering out data

## ◆ options

icalfileset_options icalfileset_impl::options

copy of options passed to icalset_new()

## ◆ path

char* icalfileset_impl::path

pathname of file

## ◆ super

icalset icalfileset_impl::super

parent class

The documentation for this struct was generated from the following file:

- icalfilesetimpl.h